For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/adtool/field‑types

get

Get available field types for adtool fields

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
adtool_type_idintegerRequired
Responses
200

success

successbooleanOptionalExample: true
get/api/adtool/field-types
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'adtool_type_id' => 1
	);

$request = array(
	'method' => 'GET',
	'path' => 'adtool/field-types',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "field_types": [
    {
      "field_type_id": 0,
      "derived": 0,
      "field_type": "Text Field"
    },
    {
      "field_type_id": 1,
      "derived": 0,
      "field_type": "Multiple Choice"
    },
    {
      "field_type_id": 2,
      "derived": 0,
      "field_type": "Image Upload"
    },
    {
      "field_type_id": 3,
      "derived": 0,
      "field_type": "Zip Upload"
    },
    {
      "field_type_id": 4,
      "derived": 0,
      "field_type": "Text Box"
    },
    {
      "field_type_id": 5,
      "derived": 0,
      "field_type": "Flash Upload"
    },
    {
      "field_type_id": 6,
      "derived": 0,
      "field_type": "Video Upload"
    },
    {
      "field_type_id": 7,
      "derived": 0,
      "field_type": "Color Selector"
    },
    {
      "field_type_id": 100,
      "derived": 1,
      "check_function": "name",
      "field_type": "Banner Derived Height"
    },
    {
      "field_type_id": 101,
      "derived": 1,
      "check_function": "name",
      "field_type": "Banner Derived Width"
    },
    {
      "field_type_id": 102,
      "derived": 1,
      "check_function": "name",
      "field_type": "Banner Derived File Size"
    },
    {
      "field_type_id": 103,
      "derived": 1,
      "check_function": "name",
      "field_type": "Banner Derived Extension"
    },
    {
      "field_type_id": 105,
      "derived": 1,
      "check_function": "name",
      "field_type": "Banner Derived File Name"
    }
  ]
}

Last updated

Was this helpful?